Subject: Matching debug symbol and package versions

From: Benno Evers <[email-masked]>
Date: Tue, 27 Oct 2015 00:15:17 +0100

Hi all,

assume I have installed some package

     /gnu/store/xxx-daemon-1.0

After a while I notice that it's inexplicably hanging, so I do 'guix 
package -i daemon-1.0:debug', attach to the daemon with gdb, and...no 
debug symbols can be loaded! Turns out, in the meantime the hash has 
changed so i installed

     /gnu/store/yyy-daemon-1.0:debug

It seems to me that there is currently no possibility to get the correct 
debug symbols. Worse, as civodul mentioned in chat, the package hash is 
part of the symbols itself, so I can't even cheat and force gdb manually 
to use the symbols for version yyy.